symbol lookup error #37

Closed
zyv5544 opened this Issue Apr 13, 2012 · 6 comments

Comments

Projects
None yet
3 participants
@zyv5544

zyv5544 commented Apr 13, 2012

Hi,

First of all I want to thank you about this amazing project! if I'll manage to get it work, it will help me a lot!!

Just installed it from the npm
and when I require geoip im getting this error message:

node: symbol lookup error: /root/node_modules/geoip/build/Release/geoip.node: undefined symbol: GeoIP_lib_version

What seems to be the problem?

tnx

@zyv5544

This comment has been minimized.

Show comment Hide comment
@zyv5544

zyv5544 Apr 13, 2012

im on ubuntu by the way...

zyv5544 commented Apr 13, 2012

im on ubuntu by the way...

@kuno

This comment has been minimized.

Show comment Hide comment
@kuno

kuno Apr 17, 2012

Owner

Please update to at least libgeoip 1.4.7

Owner

kuno commented Apr 17, 2012

Please update to at least libgeoip 1.4.7

@necenzurat

This comment has been minimized.

Show comment Hide comment
@necenzurat

necenzurat Dec 9, 2012

installed libgeoip 1.4.6 failed, 1.4.7 failed, 1.4.8 failed... fuck this shit

installed libgeoip 1.4.6 failed, 1.4.7 failed, 1.4.8 failed... fuck this shit

@kuno

This comment has been minimized.

Show comment Hide comment
@kuno

kuno Dec 10, 2012

Owner

@necenzurat
calm down, pls.

Which version of ubuntu you are using?

Owner

kuno commented Dec 10, 2012

@necenzurat
calm down, pls.

Which version of ubuntu you are using?

@necenzurat

This comment has been minimized.

Show comment Hide comment
@necenzurat

necenzurat Dec 10, 2012

does not matter solved with
ldconfig

does not matter solved with
ldconfig

@kuno

This comment has been minimized.

Show comment Hide comment
@kuno

kuno Dec 10, 2012

Owner

ok, thx.

Owner

kuno commented Dec 10, 2012

ok, thx.

@kuno kuno closed this Mar 13, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment